OpenVDB 12.1.0

Loading...
Searching...
No Matches
NullDeformer Struct Reference

No-op deformer (adheres to the deformer interface documented in PointMove.h) More...

`#include <openvdb/points/PointMask.h>`

## Public Member Functions
template<typename LeafT>
void | reset (LeafT &, size_t=0)
template<typename IterT>
void | apply (Vec3d &, IterT &) const

## Detailed Description

No-op deformer (adheres to the deformer interface documented in PointMove.h)

## Member Function Documentation

## ◆ apply()

template<typename IterT>

void apply | ( | Vec3d & | ,
|  | IterT & | ) const
| inline

## ◆ reset()

template<typename LeafT>

void reset | ( | LeafT & | ,
|  | size_t | = 0 )
| inline